Skip to content
Console

List offers

GET
/api/v1/offers
curl --request GET \
--url 'https://api.inside.chat/api/v1/offers?website_id=example' \
--header 'Authorization: Bearer <token>'

Required scopes: conversation_read
Data access: –
MCP tool: offers

List website offers. Requires an unrestricted installation policy.

website_id
required
string
/^web_[0-9]{1,20}_[1-9][0-9]{0,18}$/

An explicitly granted website.

Authorized result. Projection depends on current scopes and data policy.

Media typeapplication/json

Unexpired website offers.

object
data
required
object
offers
required
Array<object>
object
id
required
string
offer_id
integer
label
required
string
description
Any of:
string
code
Any of:
string
image_url
Any of:
string
thumbnail_url
Any of:
string
content_type
Any of:
string
expires_at
Any of:

ISO 8601 UTC, or null when the offer has no expiry.

string
category_name
string

Example generated

{
"data": {
"offers": [
{
"id": "example",
"offer_id": 1,
"label": "example",
"description": "example",
"code": "example",
"image_url": "example",
"thumbnail_url": "example",
"content_type": "example",
"expires_at": "example",
"category_name": "example"
}
]
}
}

Invalid, duplicate or unsupported request parameters.

Missing, expired or revoked installation credential.

Resource not found or not permitted by current authority.

The requested capability is not available for application installations.

Per-app quota exceeded.

Retry-After
integer
>= 1

Enrollment, native service or required authority is unavailable.